CompressedData (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cms

## Class CompressedData

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.CompressedData

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CompressedData
      extends ASN1Object

  RFC 3274: CMS Compressed Data.

       CompressedData ::= SEQUENCE {
           version CMSVersion,
           compressionAlgorithm CompressionAlgorithmIdentifier,
           encapContentInfo EncapsulatedContentInfo
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressedData(AlgorithmIdentifier compressionAlgorithm, ContentInfo encapContentInfo)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AlgorithmIdentifier` | `getCompressionAlgorithmIdentifier()`
    `ContentInfo` | `getEncapContentInfo()`
    `static CompressedData` | `getInstance(ASN1TaggedObject ato, boolean isExplicit)` Return a CompressedData object from a tagged object.
    `static CompressedData` | `getInstance(java.lang.Object obj)` Return a CompressedData object from the given object.
    `ASN1Integer` | `getVersion()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompressedData

          public CompressedData(AlgorithmIdentifier compressionAlgorithm,
                                ContentInfo encapContentInfo)

  - ### Method Detail

    - #### getInstance

          public static CompressedData getInstance(ASN1TaggedObject ato,
                                                   boolean isExplicit)

      Return a CompressedData object from a tagged object.
      Parameters:
        `ato` - the tagged object holding the object we want.
        `isExplicit` - true if the object is meant to be explicitly tagged false otherwise.
      Throws:
        `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

    - #### getInstance

          public static CompressedData getInstance(java.lang.Object obj)

      Return a CompressedData object from the given object.

      Accepted inputs:

      - null → null
      - `CompressedData` object
      - `ASN1Sequence` input formats with CompressedData structure inside
      Parameters:
        `obj` - the object we want converted.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getVersion

          public ASN1Integer getVersion()

    - #### getCompressionAlgorithmIdentifier

          public AlgorithmIdentifier getCompressionAlgorithmIdentifier()

    - #### getEncapContentInfo

          public ContentInfo getEncapContentInfo()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.